## ListSSOLogins `client.Accounts.ListSSOLogins(ctx, params) (*LoginsPage[AccountListSSOLoginsResponse], error)` **post** `/gitpod.v1.AccountService/ListSSOLogins` ListSSOLogins ### Parameters - `params AccountListSSOLoginsParams` - `Email param.Field[string]` Body param: email is the email the user wants to login with - `Token param.Field[string]` Query param - `PageSize param.Field[int64]` Query param - `Pagination param.Field[AccountListSSOLoginsParamsPagination]` Body param: pagination contains the pagination options for listing SSO logins - `Token string` Token for the next set of results that was returned as next_token of a PaginationResponse - `PageSize int64` Page size is the maximum number of results to retrieve per page. Defaults to 25. Maximum 100. - `ReturnTo param.Field[string]` Body param: return_to is the URL the user will be redirected to after login ### Returns - `type AccountListSSOLoginsResponse struct{…}` - `DisplayName string` provider is the provider used by this login method, e.g. "github", "google", "custom" - `LoginURL string` login_url is the URL to redirect the user to for SSO login ### Example ```go package main import ( "context" "fmt" "github.com/gitpod-io/gitpod-sdk-go" "github.com/gitpod-io/gitpod-sdk-go/option" ) func main() { client := gitpod.NewClient( option.WithBearerToken("My Bearer Token"), ) page, err := client.Accounts.ListSSOLogins(context.TODO(), gitpod.AccountListSSOLoginsParams{ Email: gitpod.F("dev@stainless.com"), }) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", page) } ``` #### Response ```json { "pagination": { "nextToken": "nextToken" }, "logins": [ { "displayName": "displayName", "loginUrl": "loginUrl" } ] } ```